Subject: Re: bug#6980: Could goto-char please have its own history list?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 18 Jul 2021 22:22:58 +0200

Juri Linkov <[email-masked]> writes:

> Now `read-number' has own history in `read-number-history' added a year ago
> in bug#38282.  The same commit 7c5d6a2afc6 also added `goto-line-history'
> for `goto-line'.
>
> So this request could be closed unless there is still a need to add
> `goto-char-history' for `goto-char' too.  I'm not sure if
> `read-number-history' is sufficient already, or own history should be added
> to every number-reading command like `move-to-column', etc.

I think the new number history is probably sufficient, so I'm closing
this bug report.  But I wouldn't object if somebody feels strongly that
`goto-char' should have its own history.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no